lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From BlackIce <blackice...@gmail.com>
Subject Re: Trying to update Solrj in our app...
Date Wed, 23 May 2018 17:46:52 GMT
Hi again,

Is there a list of things that have been deprecated in solr since 5.0.0? Or
do I have to read EVERY release readme till I get to 7.3.1?

On Wed, May 23, 2018 at 4:31 PM, BlackIce <blackice2k4@gmail.com> wrote:

> Thnx, but that doesn't compile either... lemme read up this...
>
> On Wed, May 23, 2018 at 3:52 PM, Shawn Heisey <apache@elyograg.org> wrote:
>
>> On 5/23/2018 7:25 AM, BlackIce wrote:
>>
>>> I've got an app here that posts data to Solr using Solrj...
>>> I'm trying to update all our apps dependencies, and now I've reached
>>> Solrj
>>>   Last kown working version is 5.5.0, anything after that dies at compile
>>> time with:
>>>
>> <snip>
>>
>>> if (val instanceof Date) {
>>>    val2 =  DateUtil.getThreadLocalDateFormat().format(val);
>>> }
>>>
>>
>> Use this instead:
>>
>> val2 = DateTimeFormatter.ISO_INSTANT.format(val.toInstant());
>>
>> ISO_INSTANT is probably what you want, but there are other choices if
>> that's not the correct format.
>>
>> This will require a new import -- java.time.format.DateTimeFormatter.
>> And you will need JDK 8, which you should already have because SolrJ 6.0
>> and later requires it.
>>
>> Thanks,
>> Shawn
>>
>>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message